1. Docs
  2. API Reference
  3. Reset identity password with token

Reset identity password with token

POST/v1/identity/auth/reset-password

Request body

  • tokenstring*

    Password reset token

  • passwordstring*

    New password (8-64 chars). No composition rules — NIST SP 800-63B aligned. HaveIBeenPwned breach check runs server-side.

Code samples

cURLJavaScriptPythonGo
curl -X POST "https://api.canopy.dev/v1/identity/auth/reset-password" \
  -H "Content-Type: application/json" \
  -d '{
    "token": "string",
    "password": "string"
  }'

Responses

200 Password reset
{
  "message": "string"
}

application/json

  • messagestring*

Returned object

On this page

Related endpoints

POSTAuthenticate identity and receive tokens
POSTIdentity multi-App login: complete Application selection from pre-auth session
POSTRefresh identity access token
POSTLogout identity and revoke tokens
POSTVerify identity email address
POSTResend identity verification email
POSTRequest identity password reset
POSTChange identity password (authenticated)
GETGet current identity profile
GETList identity active sessions
DELETERevoke a specific identity session
POSTLook up invite details by token
POSTAccept an invite